Edit Limit Order

This API is used to edit a limit order task

Body Params
string
required

Limit order id

boolean

"true"means enabling limit order

string

Group id

string

Price (USD) that triggers buy / sell

string

"down" means buy/sell below the trigger price, "up" means buy/sell above the trigger price

number

When trade type is buy, fill in the buy amount (ETH/SOL/BNB/TRX), when tradeType is sell, fill in the sell ratio (0-1

boolean

"true" means both the priority fee (priorityFee) and the bribery tip (jitoTip) fields are valid, and the system will execute the transaction based on the provided values (null indicates automatic priority fee / bribery tip). "false" means that in turbo mode, only the priority fee (priorityFee) is valid, while in anti-MEV, only the bribery tip (jitoTip) is valid, and the system will allocate them automatically

string

Priority Fee (SOL), valid for Solana, empty string means use auto priority fee

number

Extra added gas (Gwei), valid for EVM

number

When the base gas exceeds this value, no transaction will execute (Gwei), valid for EVM chains

boolean

"true" means enable anti-MEV mode (Solana & Ethereum & Bsc)

number

Bribery tip used by Anti-MEV (Solana), required when “jitoEnabled” or “customFeeAndTip” is true (null indicates automatic priority fee / bribery tip)

integer

Task duration, max 432000000 (milliseconds)

boolean

"true"means that when a task expires and is not triggered, the token will be bought or sold at the real-time price at that time

boolean

"true"means that when the task expires and triggers an automatic sell, the sell percentage is set to 100% (effective when expireExecute is true).

boolean

"true" enables Anti-Spike mode using the 1-second mid-price as trigger price (not 100% guaranteed)

number

MAX slippage tolerance (0.00-1.00), when buying, it represents the difference between the actual price and the expected price. When selling, it represents the difference between the expected price and the actual price, the difference multiplier = 1/(1-slippage), 0.5 means a maximum of 2 times the accepted spread, 1 means unlimited spreads

integer

Number of concurrent nodes (1-3)

integer

Number of retries after failure (0-10)

Response

Language
Request
Response
Choose an example:
application/json